import Vue from 'vue'
import Router from 'vue-router'
import layout from '@/pages/layout'
import index from '@/pages/index'

import panel from '@/pages/demo/panel.vue'
import wrap from '@/pages/demo/wrap.vue'
import dropdownBox from '@/pages/demo/dropdownBox.vue'
import drag from '@/pages/demo/drag.vue'
import flex from '@/pages/demo/flex.vue'
import page from '@/pages/demo/page.vue'
import sticky from '@/pages/demo/sticky.vue'

Vue.use(Router);

export const Routers = [{
        path: '/',
        redirect: '/dashboard',
        component: layout,
        name: '首页',
        hidden: true,
        children: [{ path: 'dashboard', component: index }]
    },
    {
        path: '/components',
        name: '组件',
        component: layout,
        children: [{
            path: 'panel',
            name: '容器',
            component: panel
        }, {
            path: 'wrap',
            name: '面板',
            component: wrap
        }, {
            path: 'dropdownBox',
            name: '下拉容器',
            component: dropdownBox
        }, {
            path: 'drag',
            name: '区域拖动',
            component: drag
        },  {
            path: 'flex',
            name: '左右布局',
            component: flex
        },  {
            path: 'page',
            name: '分页',
            component: page
          },{
            path: 'sticky',
            name: '固定头部',
            component: sticky
          },

        ]
    }
]

export default new Router({
    routes: Routers
})
